################################################################
#
#   Bell Runner - Menu Screen
#
################################################################

from screen import BRScreen
from game import game

class MenuScreen(BRScreen):

	bg_color = (0, 0, 0)

	def __init__(self, shell):
		BRScreen.__init__(self, shell)

	def menu_button(self, title, action_name):
		shell = self.shell
		enable = getattr(shell, action_name + '_enabled', always_enabled)
		action = getattr(shell, action_name, no_action)
		return self.button_class(title, action = action, enable = enable)#, font = menu_font)


def always_enabled():
	return True

def no_action():
	return

